%define anolis_release 1
Name:           harfbuzz
Version:        7.1.0
Release:        %{anolis_release}%{?dist}
Summary:        Text shaping library

License:        MIT
URL:            https://harfbuzz.github.io/
Source0:        https://github.com/harfbuzz/harfbuzz/releases/download/%{version}/harfbuzz-%{version}.tar.xz

BuildRequires:  pkgconfig(cairo) >= 1.8.0
BuildRequires:  pkgconfig(cairo-ft)
BuildRequires:  pkgconfig(chafa) >= 1.6.0
BuildRequires:  pkgconfig(freetype2) >= 12.0.6
BuildRequires:  pkgconfig(glib-2.0) >= 2.19.1
BuildRequires:  pkgconfig(graphite2) >= 1.2.0
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  gobject-introspection-devel >= 1.34.0
BuildRequires:  gtk-doc
BuildRequires:  gcc-c++
BuildRequires:  meson > 0.55.0

%description
HarfBuzz is an implementation of the OpenType Layout engine.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-icu = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        icu
Summary:        Harfbuzz ICU support library
Requires:       %{name} = %{version}-%{release}

%description    icu
This package contains Harfbuzz ICU support library.

%prep
%autosetup -p1

%build
# Upstream already uses -fno-exception, but due to the order of the
# switches, it does not affect as of 6.0.0
export CXXFLAGS="${CXXFLAGS/-fexceptions /}"

# experimental api introduced in 6.0.0 for cjk writing systems
# https://github.com/harfbuzz/harfbuzz/releases/tag/6.0.0
%meson -Dgraphite2=enabled -Dexperimental_api=true
%meson_build

%install
%meson_install

%generate_compatibility_deps

%check
%meson_test

%files
%dir %{abidir}
%license COPYING
%{_libdir}/libharfbuzz.so.0*
%{_libdir}/libharfbuzz-cairo.so.*
%{_libdir}/libharfbuzz-gobject.so.0*
%{_libdir}/libharfbuzz-subset.so.0*
%{abidir}/libharfbuzz.dump
%{abidir}/libharfbuzz-cairo.dump
%{abidir}/libharfbuzz-gobject.dump
%{abidir}/libharfbuzz-subset.dump
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/HarfBuzz-0.0.typelib

%files doc
%doc NEWS AUTHORS README

%files devel
%doc %{_datadir}/gtk-doc
%{_bindir}/hb-info
%{_bindir}/hb-view
%{_bindir}/hb-ot-shape-closure
%{_bindir}/hb-shape
%{_bindir}/hb-subset
%{abidir}/hb-info-option.list
%{abidir}/hb-view-option.list
%{abidir}/hb-ot-shape-closure-option.list
%{abidir}/hb-shape-option.list
%{abidir}/hb-subset-option.list
%{_includedir}/harfbuzz/
%{_libdir}/libharfbuzz.so
%{_libdir}/libharfbuzz-cairo.so
%{_libdir}/libharfbuzz-gobject.so
%{_libdir}/libharfbuzz-icu.so
%{_libdir}/libharfbuzz-subset.so
%{_libdir}/pkgconfig/harfbuzz.pc
%{_libdir}/pkgconfig/harfbuzz-cairo.pc
%{_libdir}/pkgconfig/harfbuzz-gobject.pc
%{_libdir}/pkgconfig/harfbuzz-icu.pc
%{_libdir}/pkgconfig/harfbuzz-subset.pc
%{_libdir}/cmake/harfbuzz/
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/HarfBuzz-0.0.gir

%files icu
%{_libdir}/libharfbuzz-icu.so.*
%{abidir}/libharfbuzz-icu.dump

%changelog
* Sat Mar 04 2023 Funda Wang <fundawang@yeah.net> - 7.1.0-1
- New version 7.1.0

* Tue Feb 21 2023 Funda Wang <fundawang@yeah.net> - 7.0.1-1
- New version 7.0.1

* Sun Feb 12 2023 Funda Wang <fundawang@yeah.net> - 7.0.0-1
- New version 7.0.0

* Sun Dec 18 2022 Funda Wang <fundawang@yeah.net> - 6.0.0-1
- New version 6.0.0
- Use meson to build as suggested by upstream

* Mon Dec 5 2022 Funda Wang <fundawang@yeah.net> - 5.3.1-1
- New version 5.3.1

* Mon Dec 05 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 4.2.0-4
- rebuild with icu update

* Wed Oct 26 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.2.0-3
- optimise spec file & add doc package

* Mon Apr 25 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 4.2.0-2
- Bump version to rebuild with icu-71

* Tue Apr 12 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 4.2.0-1
- init from upstream
